chrome.runtime.onMessage.addListener(function(request, sender) {
	if (request.action == "getSource") {
		message.innerText = request.source;

	}
});
function onWindowLoad() {

	var message = document.querySelector('#message');

	chrome.tabs.executeScript(null, {
		file : "getPagesSource.js"
	}, function() {
		// If you try and inject into an extensions page or the webstore/NTP you'll get an error
		if (chrome.runtime.lastError) {
			message.innerText = 'Fout \n' + chrome.runtime.lastError.message;
		}
	});

	var naam = chrome.storage.sync.get(['naam'], function(result) {
		console.log('Opgeslagen Naam = ' + result.naam);
		document.getElementById("input_leerkracht").value = result.naam;
	});

	var format = chrome.storage.sync.get(['format'], function(result) {
		console.log('Opgeslagen Format = ' + result.format);
		document.getElementById("input_formatemail").value = result.format;
	});

}

window.onload = onWindowLoad;

document.getElementById("verzendnaarphp").addEventListener("click", function() {
	var form = document.getElementById("formuliermethtml");
	form.submit();
	alert("De resultaten worden verzonden!");
});




// functie om zooi op te slaan
function save() {
	var naam = document.getElementById("input_leerkracht").value;
	var format = document.getElementById("input_formatemail").value;


	// Save it using the Chrome extension storage API.
	if(naam.length)
	{
		chrome.storage.sync.set({'naam' : naam}, function() {
			console.log("Naam is opgeslagen: "+naam);
		});
	}

	if(format.length)
		{
		chrome.storage.sync.set({'format' : format}, function() {
			console.log("Format is opgeslagen: "+format);
		});
	}
}

// voor elke seconde, opslaan wat er ingetypt wordt en dat opslaan in Google zelf
var intervalId = window.setInterval(function(){
  save();
}, 500);


